package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ExpenditureTypeEnum;
import com.ym.mec.biz.dal.enums.FeeProjectEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(financial_expenditure):
 */
public class FinancialExpenditure {

	private Integer id;
	/**  */
	@ApiModelProperty(value = "批次号",required = false)
	private String batchNo;
	/**  */
	@ApiModelProperty(value = "财务流程编号",required = false)
	private String financialProcessNo;
	/**  */
	@ApiModelProperty(value = "钉钉流程编号",required = false)
	private String dingtalkProcessNo;
	/**  */
	@ApiModelProperty(value = "分部",required = false)
	private Integer organId;
	/**  */
	@ApiModelProperty(value = "学校/合作单位",required = false)
	private Integer cooperationOrganId;
	/**  */
	@ApiModelProperty(value = "申请人",required = false)
	private String applyUser;

	@ApiModelProperty(value = "支出类型（1：固定费用、2：变动费用:3：业务退费）",required = false)
	private ExpenditureTypeEnum type;

	@ApiModelProperty(value = "费用项目",required = false)
	private FeeProjectEnum feeProject;
	/**  */
	@ApiModelProperty(value = "费用",required = false)
	private BigDecimal amount;
	/**  */
	@ApiModelProperty(value = "费用明细",required = false)
	private String itemDetail;
	/**  */
	@ApiModelProperty(value = "支付时间",required = false)
	private Date paymentTime;
	/**  */
	@ApiModelProperty(value = "事由",required = false)
	private String cause;
	/**  */
	private Date createTime;
	/**  */
	private Date updateTime;
	/**  */
	private Integer delFlag;

	public String getApplyUser() {
		return applyUser;
	}

	public void setApplyUser(String applyUser) {
		this.applyUser = applyUser;
	}

	public FeeProjectEnum getFeeProject() {
		return feeProject;
	}

	public void setFeeProject(FeeProjectEnum feeProject) {
		this.feeProject = feeProject;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getBatchNo() {
		return batchNo;
	}

	public void setBatchNo(String batchNo) {
		this.batchNo = batchNo;
	}

	public String getFinancialProcessNo() {
		return financialProcessNo;
	}

	public void setFinancialProcessNo(String financialProcessNo) {
		this.financialProcessNo = financialProcessNo;
	}

	public String getDingtalkProcessNo() {
		return dingtalkProcessNo;
	}

	public void setDingtalkProcessNo(String dingtalkProcessNo) {
		this.dingtalkProcessNo = dingtalkProcessNo;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Integer getCooperationOrganId() {
		return cooperationOrganId;
	}

	public void setCooperationOrganId(Integer cooperationOrganId) {
		this.cooperationOrganId = cooperationOrganId;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public String getItemDetail() {
		return itemDetail;
	}

	public void setItemDetail(String itemDetail) {
		this.itemDetail = itemDetail;
	}

	public Date getPaymentTime() {
		return paymentTime;
	}

	public void setPaymentTime(Date paymentTime) {
		this.paymentTime = paymentTime;
	}

	public String getCause() {
		return cause;
	}

	public void setCause(String cause) {
		this.cause = cause;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Integer delFlag) {
		this.delFlag = delFlag;
	}

	public ExpenditureTypeEnum getType() {
		return type;
	}

	public void setType(ExpenditureTypeEnum type) {
		this.type = type;
	}
}
